# Manual do Utilizador do &kde;

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

Interpretador do &kde; compatível com o ECMAScript

## Sintaxe

    kjs  --help -help -h   -einstrução   programa

## Descrição

O `kjs` é um motor de ECMAScript/JavaScript para o KDE.

## Opções da Aplicação

`--help`,`-help`,`-h`

  Mostra uma ajuda sobre a utilização do `kjscmd`.

`-e` `instrução`

  Executa a instrução e sai. Por exemplo:

      kjs -e "print('olá mundo')"

`programa`

  Executa as instruções incluídas no ficheiro `programa`.

## Utilização

O `kjs` `ficheiro`, como em muitos outros interpretadores, quando é invocado sem parâmetros usa um editor de linhas para introduzir instruções, apresentando a linha de comandos

    JS
    >

Para sair do editor de linha, escreva `quit()` ou carregue em `Ctrl+D`.

## Veja Também

kjs(1)

## Problemas

Existem provavelmente bastantes erros. Use o bugs.kde.org para os comunicar.